Subject: bug#62895: Emacs 28.2 NS build segfaults on startup

From: Po Lu <[email-masked]>
Date: Thu, 20 Apr 2023 11:13:08 +0800

"F. Romage" <[email-masked]> writes:

>> On 04/18/2023 10:38 PM Po Lu <[email-masked]> wrote:
>> The GNUstep build works in Emacs 29.  Large parts of its font driver
>> have also been rewritten, so text display problems should no longer be present.
>
> Today I checked out the latest code using git, which gave me this version information:
>
> GNU Emacs 30.0.50
> Development version a01528c95002 on master branch; build date 2023-04-19.
>
> I was able to build using --with-ns but got the same segfault when running it as I did with 28.2. Was there a regression from Emacs 29 to 30 for the NS build?

Then would you please show a backtrace from the crash, and also tell
which version of GNUstep you have installed?  It works for me.